 echo off
setlocal enabledelayedexpansion enableextensions
echo.
echo.
echo.

:SETUP
	echo.%*|find /i "/?">nul:
	if %errorlevel% equ 0 goto :HELP

	set bat_exedir=%cd%

	rem fetch bat_CAPTURE.archive_flag
	call "!bat_exedir!\ReadParams.bat"
set bat_


	if /i "%~1" neq "" (
		set bat_cameraA=%~1
	) else (
		echo.
		echo.
		set /p bat_cameraA=Enter the first camera number: 
		if /i "!bat_cameraA!" equ "a" (goto :DONE)
		echo.
		echo.
	)

	if /i "%~2" neq "" (
		set bat_cameraB=%~2
	) else (
		echo.
		echo.
		set /p bat_cameraB=Enter the second camera number: 
		if /i "!bat_cameraB!" equ "a" (goto :DONE)
		echo.
		echo.
	)

	if /i "%~3" neq "" (
		set bat_duration=%~3
	) else (
		echo.
		echo.
		set /p bat_duration=Enter the duration ^(CheckTwilight.bat will give you this^): 
		if /i "!bat_duration!" equ "a" (goto :DONE)
		echo.
		echo.
	)

	if /i "%~4" neq "" (
		set bat_location=%~4
	) else (
		echo.
		echo.
		set /p bat_location=Enter the parent directory to the CAMS directory: 
		if /i "!bat_location!" equ "a" (goto :DONE)
		echo.
		echo.
	)



echo.
echo.
	if exist "!bat_exedir!\entervideodeviceTWO.inp" (
		echo '    call "!bat_exedir!\FTP_CaptureTwoAndDetect.exe" !bat_CAPTURE.archive_flag! !bat_cameraA! !bat_cameraB! !bat_duration! !bat_location:~0,512!^<"!bat_exedir!\entervideodeviceTWO.inp"
		          call "!bat_exedir!\FTP_CaptureTwoAndDetect.exe" !bat_CAPTURE.archive_flag! !bat_cameraA! !bat_cameraB! !bat_duration! !bat_location:~0,512!<"!bat_exedir!\entervideodeviceTWO.inp"
	) else (
		echo '    call "!bat_exedir!\FTP_CaptureTwoAndDetect.exe" !bat_CAPTURE.archive_flag! !bat_cameraA! !bat_cameraB! !bat_duration! !bat_location:~0,512!
		          call "!bat_exedir!\FTP_CaptureTwoAndDetect.exe" !bat_CAPTURE.archive_flag! !bat_cameraA! !bat_cameraB! !bat_duration! !bat_location:~0,512!
	)
	set bat_returncode=%errorlevel%

	if !bat_returncode! neq 0 (
		goto :PROCESSERROR
	)





:PROCESSERROR
	if !bat_returncode! neq 0 (
		if !bat_returncode! equ 1 (
			set bat_msg=ERROR - 1 - Capture thread 1 timed out while trying to write FF file
		)
		if !bat_returncode! equ 2 (
				set bat_msg=ERROR - 2 - Capture thread 2 timed out while trying to write FF file
		)
		if !bat_returncode! equ 3 (
			set bat_msg=ERROR - 3 - Main timed out waiting for capture thread 1 to finish frame
		)
		if !bat_returncode! equ 4 (
			set bat_msg=ERROR - 4 - Main timed out waiting for capture thread 2 to finish frame
		)
		if !bat_returncode! equ 5 (
			set bat_msg=ERROR - 5 - Main timed out waiting for capture thread 1 to fully wrap up
		)
		if !bat_returncode! equ 6 (
			set bat_msg=ERROR - 6 - Main timed out waiting for capture thread 2 to fully wrap up
		)
		if !bat_returncode! equ 7 (
			set bat_msg=ERROR - 7 - Main timed out waiting for writing thread 1 to fully wrap up
		)
		if !bat_returncode! equ 8 (
			set bat_msg=ERROR - 8 - Main timed out waiting for writing thread 2 to fully wrap up
		)
		if !bat_returncode! equ 9 (
			set bat_msg=ERROR - 9 - Main timed out waiting for process thread to fully wrap up
		)
		if !bat_returncode! equ 10 (
			set bat_msg=ERROR - * 10 - Memory not allocated for working arrays
		)
		if !bat_returncode! equ 11 (
			set bat_msg=ERROR - 11 - Critical section not initialized
		)
		if !bat_returncode! equ 12 (
			set bat_msg=ERROR - 12 - Capture 1 thread not created
		)
		if !bat_returncode! equ 13 (
			set bat_msg=ERROR - 13 - Capture 1 thread could not begin
		)
		if !bat_returncode! equ 14 (
			set bat_msg=ERROR - 14 - Capture 2 thread not created
		)
		if !bat_returncode! equ 15 (
			set bat_msg=ERROR - 15 - Capture 2 thread could not begin
		)
		if !bat_returncode! equ 16 (
			set bat_msg=ERROR - * 16 - Writing 1 thread not created
		)
		if !bat_returncode! equ 17 (
			set bat_msg=ERROR - * 17 - Writing 1 thread could not begin
		)
		if !bat_returncode! equ 18 (
			set bat_msg=ERROR - 18 - Writing 2 thread not created
		)
		if !bat_returncode! equ 19 (
			set bat_msg=ERROR - 19 - Writing 2 thread could not begin
		)
		if !bat_returncode! equ 20 (
			set bat_msg=ERROR - * 20 - Process thread not created
		)
		if !bat_returncode! equ 21 (
			set bat_msg=ERROR - * 21 - Process thread could not begin
		)
		if !bat_returncode! equ 22 (
			set bat_msg=ERROR - * 22 - Could not open output log file
		)
		if !bat_returncode! equ 23 (
			set bat_msg=ERROR - * 23 - No video capture devices found
		)
		if !bat_returncode! equ 24 (
			set bat_msg=ERROR - 24 - Only one video capture device found - requires 2
		)
		if !bat_returncode! equ 25 (
			set bat_msg=ERROR - * 25 - Unable to set up video capture device 1
		)
		if !bat_returncode! equ 26 (
			set bat_msg=ERROR - 26 - Unable to set up video capture device 2
		)
		if !bat_returncode! equ 27 (
			set bat_msg=ERROR - * 27 - Twilight calculation error for very high latitudes
		)

		echo.
		echo.
		echo '   !bat_msg!
		echo.
		echo.

		goto :DONE
	)

:PROCESSERROR_END
goto :DONE


:HELP
	echo %~nx0
	echo.
	echo Usage: %~nx0 camera1 camera2 duration location
	echo.
	echo Example:
	echo   "%~n0" 998 999 9.12 "C:\"
exit /b 99


:DONE
