@echo off
setlocal enabledelayedexpansion enableextensions

rem RENAME THIS FILE TO ...
rem

:SETUP
	setlocal enableextensions enabledelayedexpansion

	rem if "%1" equ "" goto :HELP

	set bat_targetlocation=%cd%
	set bat_targetdrive=%cd:~0,2%
	set bat_targetdirfull=%cd%

	rem if "%2" neq "" set bat_targetdrive=%~2

	set bat_

:MAIN
	title %0
	set /a linecount=0
	rem start the execution of the detection pass in background priority

	echo !date! !time!>"Logs\%~nx0.log"

:SCANARCHIVED
	for /f "usebackq tokens=*" %%a in (`dir "!bat_targetdirfull!\ArchivedFiles\ftpdetectinfo.txt" /s/b`) do (
		TITLE %%a

		for /f "usebackq tokens=*" %%b in (`find /i /n "Meteor Count" "%%a"`) do (
			rem echo %%~b
			set bat_temp=%%~b
			set bat_linenumber=!bat_temp:~0,3!

			if "!bat_linenumber!" equ "[1]" (
				set bat_meteorcount=!bat_temp:~-6!
				echo !bat_meteorcount!    %%a
			)
		)
	)


:SCANCONFIRMED
	for /f "usebackq tokens=*" %%a in (`dir "!bat_targetdirfull!\ConfirmedFiles\ftpdetectinfo.txt" /s/b`) do (
		TITLE %%a

		for /f "usebackq tokens=*" %%b in (`find /i /n "Meteor Count" "%%a"`) do (
			rem echo %%~b
			set bat_temp=%%~b
			set bat_linenumber=!bat_temp:~0,3!

			if "!bat_linenumber!" equ "[1]" (
				set bat_meteorcount=!bat_temp:~-6!
				echo !bat_meteorcount!    %%a
			)
		)
	)

exit/b 0

:HELP
	@echo off
	echo.
	echo %0
	echo.
	echo This script lists the number of meteors from the ArchivedFiles and
	echo the matching ConfirmedFiles directories.
	echo.
	echo
exit /b 9


:DONE
